[![Build Status](https://img.shields.io/travis/WolfAtheneum/covid19/master?style=for-the-badge&logo=travis)](https://travis-ci.org/WolfAtheneum/covid19)
[![Software License](https://img.shields.io/badge/license-MIT-black?style=for-the-badge)](LICENSE.md)
[![Release](https://img.shields.io/github/release/WolfAtheneum/covid19?color=black&style=for-the-badge&logo=github&label=Latest%20Release)](https://github.com/WolfAtheneum/covid19/releases/latest)
[![Last Release](https://img.shields.io/github/release-date/WolfAtheneum/covid19?color=black&style=for-the-badge&logo=github)](https://github.com/WolfAtheneum/covid19/releases/latest)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/WolfAtheneum/covid19/latest?color=black&style=for-the-badge&logo=github)](https://github.com/WolfAtheneum/covid19/commits)
[![Last Commit](https://img.shields.io/github/last-commit/WolfAtheneum/covid19?color=black&style=for-the-badge&logo=github)](https://github.com/WolfAtheneum/covid19/commits/master)
[![WolfAtheneum](https://img.shields.io/badge/Released%20By-Wolf%20Atheneum-black?style=for-the-badge)](https://github.com/WolfAtheneum)
[![Wolf](https://img.shields.io/badge/Created%20By-Wolf-black?style=for-the-badge)](https://github.com/TGWolf)

# Covid19

A wrapper for the coronavirus API at https://github.com/ExpDev07/coronavirus-tracker-api.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'covid19'
```

And then execute:

```
bundle install
```

Or install it yourself as:

```
gem install covid19
```

## Usage

Get the latest stats by in summary form and broken down country by country.

```ruby
Covid19.latest_stats_all
```

Get the latest stats by in summary form.

```ruby
Covid19.latest_stats_global
```

Get case data for all locations with reported cases:

```ruby
Covid19.latest_stats_split_by_country
```

## Error Handling

If there are errors trying to talk to the API the class will raise a ```StandardError``` with the appropriate error message.

## Command line tool

The gem also comes with a command line tool called covid19. 

```
Usage: covid19
    -h, --help                       Display this screen
    -s, --summary                    Show a summary of the totals [Default]
    -l, --latest                     Show the latest (todays) totals split by country (same as -t)
    -t, --today                      Show the latest (todays) totals split by country (same as -l)
    -T, --totals                     Show the full totals split by country

Coloumn Sorting Options:
    -c, --confirmed                  Order the output based on 'Confirmed' column
    -r, --recovered                  Order the output based on 'Recovered' column
    -d, --deaths                     Order the output based on 'Deaths' column
    -a, --active                     Order the output based on 'Active' column
    -D, --death-rate                 Order the output based on 'Death Rate' column
    -R, --recovery-rate              Order the output based on 'Recovery Rate' column
    -C, --cases-per-million          Order the output based on 'Cases P/M' column

```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

### Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

For further information please refer to the [contributing](https://github.com/WolfSoftware/contributing) documentation.
